Subject: FW: I-D ACTION:draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00 .txt

From: John Drake <[email-masked]>
Date: Mon, 17 May 2004 09:04:43 -0700

Zafar,

I'm sorry but I'm a little confused.

What problem is it that you are addressing with this draft that isn't
already addressed by RFC 3471/3473/3477 and the bundling draft?

Thanks,

John

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, May 14, 2004 12:40 PM
To: [email-masked]
Subject: I-D ACTION:draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

	Title		: Generalized Multi-Protocol Label Switching (GMPLS)
RSVP-TE 
			  signaling using Bundled Traffic Engineering (TE)
Links
	Author(s)	: Z. Ali, et al.
	Filename	:
draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt
	Pages		: 14
	Date		: 2004-5-14
	
This document is a companion to the Generalized Multi-Protocol Label
   Switching (GMPLS) RSVP-TE signaling. It extends the TLV definitions
   of [RFC3471] to provide the means to identify component links of
   unnumbered link bundles within the IF_ID_RSVP_HOP and IF_ID
   ERROR_SPEC objects. It also defines the extensions to GMPLS RSVP-TE
   in support of component link identifiers for explicit resource
   control and recording over link bundles.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-dimitri-ccamp-gmpls-rsvp-te-bundle
d-links-00.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the
message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE
/internet-drafts/draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

Date: Fri, 14 May 2004 13:20:25 -0700

---

From: "zafar ali" <[email-masked]>
Date: Wed, 19 May 2004 15:11:59 -0400

Hi John, 

Sorry for the delay in reply. In this ID we combined the following two
drafts: 

1. Component Link Recording and Resource Control for GMPLS Link Bundles,
http://www.ietf.org/internet-drafts/draft-zamfir-explicit-resource-control-b
undle-03.txt. We had discuss and agreement on the content on this draft
(especially need for RRO sub-object). 

2. Identification of Component Links of Unnumbered Interfaces,
http://www.ietf.org/internet-drafts/draft-farrel-ccamp-ifid-unnum-00.txt. 

I think your question is for the portion of ID that came from (2), correct? 

Assuming this, here is the rationale. 

RFC3471 defines the following TLVs for IF_ID RSVP_HOP Object. 

   Type Length Format     Description
   --------------------------------------------------------------------
    1      8   IPv4 Addr. IPv4
    2     20   IPv6 Addr. IPv6
    3     12   See below  IF_INDEX                (Interface Index)
    4     12   See below  COMPONENT_IF_DOWNSTREAM (Component interface)
    5     12   See below  COMPONENT_IF_UPSTREAM   (Component interface)

We need following new TLVs to describe Numbered IF_IDs using IF_ID RSVP_HOP
Object.

IPv4 - DOWNSTREAM (Component IF)
IPv4 - UPSTREAM (Component IF)
IPv6 - DOWNSTREAM (Component IF)
IPv6 - UPSTREAM (Component IF)

As the definition in RFC3471 are not sufficient to identify the above
mentioned cases. Agreed? This is where the discussion started. 

It was pointed out that some implementations have IF index assignment such
that IF indexes are only unique within the TE link they belong to. I.e.,
assumption that IF_indexes are NOT box wide unique is not valid across
implementations. In order to accommodate such implementation, we came up
with what is in the ID at the present moment. 

Given this, can you please provide more feedback on how you can improve the
ID? 

Thanks

Regards... Zafar

>From: [email-masked] 
>[mailto:[email-masked]] On Behalf Of John Drake
>Sent: Monday, May 17, 2004 12:05 PM
>To: [email-masked]
>Subject: FW: I-D 
>ACTION:draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt
>
>
>Zafar,
>
>What problem is it that you are addressing with this draft 
>that isn't already addressed by RFC 3471/3473/3477 and the 
>bundling draft?
>
>Thanks,
>
>John
>
>Subject: I-D 
>ACTION:draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt
>
>A New Internet-Draft is available from the on-line 
>Internet-Drafts directories.
>
>
d-links-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in, type
"cd internet-drafts" and then
	"get draft-dimitri-ccamp-gmpls-rsvp-te-bundled-links-00.txt".

Send a message to:
	[email-masked].
In the body type:
	"FILE

---

From: Yakov Rekhter <[email-masked]>
Date: Tue, 25 May 2004 10:50:53 -0700

Zafar,

>    Type Length Format     Description

Could yoy please explain why there is a need for allowing separate
downstream and upstream for component links of a bundled link, but
there is no such need for plain links ?

> with what is in the ID at the present moment. 

That is totally unreasonable. Standards are *not* produced to
accommodate a particular implementation, and especially to accommodate
some fairly random assumption(s) made by the implementation. So,
fix the implementation !!!
  
> Given this, can you please provide more feedback on how you can improve 
> the ID? 

See above.

Yakov.

---

From: "zafar ali" <[email-masked]>
Date: Tue, 25 May 2004 18:04:24 -0400

Dear Yakov, 

Please see in-line. 

Thanks
 
Regards... Zafar

>From: Yakov Rekhter [mailto:[email-masked]] 
>Sent: Tuesday, May 25, 2004 1:51 PM
>To: zafar ali
>Cc: 'John Drake'; [email-masked]; 'Anca Zamfir'; 'Adrian 
>Farrel'; [email-masked]; [email-masked]
>Subject: Re: I-D 
>> We need following new TLVs to describe Numbered IF_IDs using IF_ID 
>> RSVP_HOP Object.
>> 
>Could yoy please explain why there is a need for allowing 
>separate downstream and upstream for component links of a 
>bundled link, but there is no such need for plain links ?
>

I wish bundling draft would clearly state the same. Instead it states, "The
choice of the component link to use is always made by the sender of the
Path/REQUEST message (if an LSP is bidirectional [GMPLS-SIG], the sender
chooses a component link in each direction)", and makes room for
interpretation that the forward and reverse may use the same TE link but
different component links. Furthermore, if this is true, can you please
elaborate on the motivation behind using the following (different) TLVs, for
the IF_ID RSVP_HOP, for the unnumbered case? 

>> It was pointed out that some implementations have IF index 
>assignment 
>> such that IF indexes are only unique within the TE link they belong 
>> to. I.e., assumption that IF_indexes are NOT box wide unique is not 
>> valid across implementations. In order to accommodate such 
>> implementation, we came up with what is in the ID at the present 
>> moment.
>
>accommodate a particular implementation, and especially to 
>accommodate some fairly random assumption(s) made by the 
>implementation. So, fix the implementation !!!
>  

I fully agree with you.

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 28 May 2004 07:25:08 -0700

Zafar,

> Please see in-line. 

response in-line...

> >> undle-03.txt. We had discuss and agreement on the content on 
> >> this draft (especially need for RRO sub-object). 
> >> 
> different component links. 

Good point. Perhaps the bundling draft should be clarified to make
it explicit that it is the same component link that is used for both
the forward and reverse direction.

> Furthermore, if this is true, can you please

The bundling draft does not say anything about these two TLVs.
  
> >> It was pointed out that some implementations have IF index assignment 

So, with this in mind let me propose that we clarify the bundling
text, as I suggested above, and then consider the issue closed.

Yakov.

---

From: "zafar ali" <[email-masked]>
Date: Fri, 28 May 2004 11:50:10 -0400

Dear Yakov, 

You mentioned that bundle draft does NOT mention/ use the following TLVs,
for the IF_ID RSVP_HOP, 

So what was the motivation behind such definition (two TLVs) in the RFC?
Furthermore, the RFC states: "For types 4 and 5, the Interface ID indicates
a bundled component link.". Can you please elaborate on this disconnect?  

Thanks

Regards... Zafar

>[mailto:[email-masked]] On Behalf Of Yakov Rekhter
>Sent: Friday, May 28, 2004 10:25 AM
>To: zafar ali
>> >> Sorry for the delay in reply. In this ID we combined the 
>following 
>> >> two
>> >> drafts:
>> >> 
>> I wish bundling draft would clearly state the same. Instead 
>it states, 
>> "The choice of the component link to use is always made by 
>the sender 
>> of the Path/REQUEST message (if an LSP is bidirectional [GMPLS-SIG], 
>> the sender chooses a component link in each direction)", and makes 
>> room for interpretation that the forward and reverse may use 
>the same 
>> TE link but different component links.
>
>Good point. Perhaps the bundling draft should be clarified to 
>make it explicit that it is the same component link that is 
>used for both the forward and reverse direction.
>
>> elaborate on the motivation behind using the following (different) 
>> TLVs, for the IF_ID RSVP_HOP, for the unnumbered case?
>> 
>So, with this in mind let me propose that we clarify the 
>bundling text, as I suggested above, and then consider the 
>issue closed.
>
>Yakov.
>

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 28 May 2004 15:11:10 -0700

Zafar,

> 5     12   See below  COMPONENT_IF_UPSTREAM   (Component interface)

That is correct.

> a bundled component link.". Can you please elaborate on this disconnect?  

I think that the editor of that RFC would be the more appropriate
person to elaborate on this.

Yakov.

---

From: "zafar ali" <[email-masked]>
Date: Sat, 29 May 2004 16:25:29 -0400

>Sent: Friday, May 28, 2004 6:11 PM
>To: zafar ali
>> You mentioned that bundle draft does NOT mention/ use the following 
>> TLVs, for the IF_ID RSVP_HOP,
>> 
>> So what was the motivation behind such definition (two TLVs) in the 
>> RFC? Furthermore, the RFC states: "For types 4 and 5, the 
>Interface ID 
>> indicates a bundled component link.". Can you please 
>elaborate on this disconnect?
>
>I think that the editor of that RFC would be the more 
>appropriate person to elaborate on this.
>

Dear Yakov, 

So you agree that there is a (possible) disconnect and we either need some
clarification (from editors of the RFC) or fix the specs to avoid confusion.

BTW as you may recall there has been some discussions on the mailing list on
this issue in past. Let's try to close the issue while we are on it. 

Thanks

Regards... Zafar 

>> >> >> 1. Component Link Recording and Resource Control for 
>GMPLS Link 
>> >> >> Bundles,
>> >> >> 
>>>http://www.ietf.org/internet-drafts/draft-farrel-ccamp-ifid-unnum-00
>> >>.
>> >> >txt.
>> >> >> 
>> >> >> We need following new TLVs to describe Numbered IF_IDs using 
>> >> >> IF_ID RSVP_HOP Object.
>> >> >>